Page MenuHomePhabricator

unhandled exception: show vpn ipsec sa
Closed, ResolvedPublicBUG

Description

show vpn ipsec sa command results in the following:

Traceback (most recent call last):
  File "/usr/libexec/vyos/op_mode/show_ipsec_sa.py", line 58, in <module>
    raise e
  File "/usr/libexec/vyos/op_mode/show_ipsec_sa.py", line 52, in <module>
    bytes_in = hurry.filesize.size(int(bytes_in))
TypeError: int() argument must be a string or a number, not 'NoneType'
Status of IKE charon daemon (strongSwan 5.7.1, Linux 4.19.12-amd64-vyos, x86_64):
  uptime: 25 seconds, since Jan 14 19:37:47 2019
  malloc: sbrk 2957312, mmap 0, used 810864, free 2146448
  worker threads: 11 of 16 idle, 5/0/0/0 working, job queue: 0/0/0/0, scheduled: 3
  loaded plugins: charon test-vectors ldap pkcs11 tpm aesni aes rc2 sha2 sha1 md5 mgf1 rdrand random nonce x509 revocation constraints pubkey pkcs1 pkcs7 pkcs8 pkcs12 pgp dnskey sshkey pem openssl gcrypt af-alg fips-prf gmp curve25519 agent chapoly xcbc cmac hmac ctr ccm gcm curl attr kernel-netlink resolve socket-default connmark stroke vici updown eap-identity eap-aka eap-md5 eap-gtc eap-mschapv2 eap-radius eap-tls eap-ttls eap-tnc xauth-generic xauth-eap xauth-pam tnc-tnccs dhcp lookip error-notify certexpire led addrblock counters
Listening IP addresses:
  192.168.0.10
Connections:
peer-x.x.x.x-tunnel-vti:  192.168.0.10...x.x.x.x  IKEv2
peer-x.x.x.x-tunnel-vti:   local:  [myhostname] uses pre-shared key authentication
peer-x.x.x.x-tunnel-vti:   remote: [x.x.x.x] uses pre-shared key authentication
peer-x.x.x.x-tunnel-vti:   child:  0.0.0.0/0 === 0.0.0.0/0 TUNNEL
Security Associations (1 up, 0 connecting):
peer-x.x.x.x-tunnel-vti[1]: ESTABLISHED 25 seconds ago, 192.168.0.10[myhostname]...x.x.x.x[x.x.x.x]
peer-x.x.x.x-tunnel-vti[1]: IKEv2 SPIs: 963255f967b8f060_i* 166bab2b5dce9e53_r, rekeying in 7 hours
peer-x.x.x.x-tunnel-vti[1]: IKE proposal: AES_CBC_256/HMAC_SHA2_256_128/PRF_HMAC_SHA2_256/MODP_2048
peer-x.x.x.x-tunnel-vti{1}:  INSTALLED, TUNNEL, reqid 1, ESP in UDP SPIs: c5ca81c4_i d2b47ed0_o
peer-x.x.x.x-tunnel-vti{1}:  AES_CBC_256/HMAC_SHA2_256_128, 1008 bytes_i (12 pkts, 4s ago), 1288 bytes_o (17 pkts, 4s ago), rekeying in 45 minutes
peer-x.x.x.x-tunnel-vti{1}:   0.0.0.0/0 === 0.0.0.0/0

Details

Difficulty level
Unknown (require assessment)
Version
1.2-epa2
Why the issue appeared?
Will be filled on close

Event Timeline

ekim renamed this task from unhandeled exception: show vpn ipsec sa to unhandled exception: show vpn ipsec sa.Jan 14 2019, 7:42 PM
ekim created this task.
Line2 added a subscriber: Line2.EditedJan 17 2019, 10:09 AM

I just tested this on 1.2.0-EPA3 and it works here. Please re-test with EPA3.

syncer closed this task as Resolved.Jan 20 2019, 11:53 AM
syncer claimed this task.
syncer moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.0-EPA3) board.
pasik added a subscriber: pasik.Jan 21 2019, 9:43 PM